CMS Made Simple 1.6.1 "Canala" veröffentlicht

Die neueste und großartigste Version des beliebten Content Management Systems CMSMS 1.6.1 "Canala" ist fertig. Dieses Release beseitigt verschiedene Fehler, es sind keine neuen Funktionen hinzugekommen.

Die Mitglieder des Entwicklungs-Team haben wieder viele Stunden investiert, um die Software zu testen, Fehler zu beseitigen, wieder zu testen und sicherzustellen, dass die Fehler auch wirklich behoben sind. Jeder sollte sich bei dem Entwicklungsteam bedanken.

Wir haben die bekannten PHP4-Probleme behoben (Gott sei Dank müssen wir uns ab der kommenden Version 1.7 keine Gedanken mehr darüber machen) sowie ein paar Probleme mit Berechtigungen und E-Mail-Adressen.

Wichtig: Wir haben ein hartnäckiges Problem behoben, welches beim Aufruf mehrerer Module im einem Inhaltsblock auftrat. Um dieses Problem zu beheben, mussten wir den 'Modul-ID'-Mechanismus ändern - von einem einfachen Zähler zu einem eindeutigen Hash für jeden Modulaufruf. Deshalb werden bei jedem, der beim Layout der Webseite Smarty-Tricks verwendet und dabei auf die Modul-IDs wie m6_ oder m7_ zurückgreift, nach der Aktualisierung Probleme auftreten. Es gab leider keine andere Möglichkeit.

Dies wird hoffentlich die letzte Version der 1.6er Serie sein, so dass wir uns auf die Entwicklung von CMSMS 1.7 konzentrieren können, welches nur noch PHP5 unterstützen wird.

Nur eine kleine Erinnerung - ab dieser Version wird nur noch CMSMS 1.6 und 1.6.1 unterstützt ... falls Sie also Ihr System noch nicht aktualisiert haben, holen Sie dies bitte nach, BEVOR Sie Fragen und Fehlerreports posten.

Hier eine detailierte Liste der behobenen Fehler:

  • #3138 Ein Fehler bei der Durchnummerierung von Modulen in einer Seite
    Achtung: Dieser Bugfix wird denjenigen Seiten Probleme bereiten, deren Templates die Modul-IDs hartkodiert verwenden, wie zum Beispiel m6, m7 etc.
  • #3582 (CMS 1.6) Schwerwiegender Fehler in der Datei contentoperations.inc.php
  • #3589 Fehlendes "Passwort vergessen?" im voreingestellten Template
  • #3591 Die Benutzer-Gruppe "Editor" hat keine Berechtigung, eine Seite zu bearbeiten
  • #3601 Fehler beim Anlegen eines neuen Benutzers, das Zeichen "-" in E-Mail-Adressen wird nicht akzeptiert
  • #3606 Zusätzliche Bearbeiter einer Seite können nicht gelöscht werden
  • #3608 Das Bearbeiten-Icon wird angezeigt, auch wenn die Berechtigung zur Bearbeitung der Seite fehlt
  • #3612 {content} gibt Parameter an Module weiter -> Ergebnisse in Fehlermeldungen
  • #3626 Fehlerbehebung mit PHP 4.x in multicontent
  • #3636 Globale Einstellungen -> Weitere Einstellungen -> Allgemeine Einstellungen
  • #3768 E-Mail-Prüfung beim Anlegen eines neuen Benutzers
  • #3680 Größeres Problem bei den Gruppenberechtigungen
  • Behebung eines Problems mit PHP 5.0.5 bei den Inhalts-Operationen
  • weitere, kleinere Fehlerkorrekturen
  • Korrektur der Standard-Inhalte bei Neuinstallationen

Zurück

Impressum  ·  Datenschutz  ·  Kontakt  ·  Spenden  ·  Inhaltsverzeichnis

© Copyright 2006-2022 by Andreas Just